org.apache.xalan.xsltc

## Interface NodeIterator

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  NodeIteratorBase

    public interface NodeIterator
    extends java.lang.Cloneable

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Field Summary

Fields
`static int` `END`

### Method Summary

Methods
`NodeIterator` `cloneIterator()` Returns a deep copy of this iterator.
`int` `getLast()` Returns the number of elements in this iterator.
`int` `getPosition()` Returns the position of the current node in the set.
`void` `gotoMark()` Restores the current node remembered by setMark().
`boolean` `isReverse()` True if this iterator has a reversed axis.
`int` `next()` Callers should not call next() after it returns END.
`NodeIterator` `reset()` Resets the iterator to the last start node.
`void` `setMark()` Remembers the current node for the next call to gotoMark().
`void` `setRestartable(boolean isRestartable)` Prevents or allows iterator restarts.
`NodeIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

### Field Detail

#### END

    static final int END

See Also:
  Constant Field Values

### Method Detail

#### next

    int next()

Callers should not call next() after it returns END.

#### reset

    NodeIterator reset()

Resets the iterator to the last start node.

#### getLast

    int getLast()

Returns the number of elements in this iterator.

#### getPosition

    int getPosition()

Returns the position of the current node in the set.

#### setMark

    void setMark()

Remembers the current node for the next call to gotoMark().

#### gotoMark

    void gotoMark()

Restores the current node remembered by setMark().

#### setStartNode

    NodeIterator setStartNode(int node)

Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

#### isReverse

    boolean isReverse()

True if this iterator has a reversed axis.

#### cloneIterator

    NodeIterator cloneIterator()

Returns a deep copy of this iterator.

#### setRestartable

    void setRestartable(boolean isRestartable)

Prevents or allows iterator restarts.